import React, {Component} from 'react';
import {Provider} from 'react-redux';
import './App.css';
import {Route} from 'react-router-dom';
import Home from './containers/Home';
import TopicsList from './containers/TopicsList';
import store from './store/configureStore';
import Header from "./components/Header";
import Footer from "./components/Footer";
import Search from "./components/Search";
import Nav from "./components/Nav";
import Video from "./containers/Video";

class App extends Component {
  render() {
    return (
      <Provider store={store}>

        <div className="App">
          <Header/>
          <Nav/>
          <Search/>
          <Route exact={true} path="/" component={Home}/>
          <Route path="/topics" component={TopicsList}/>
          <Route path="/videos/:videoId" component={Video}/>
          <Nav/>
          <Footer/>
        </div>
      </Provider>
    );
  }
}

export default App;
