import Grid from 'react-css-grid'
import React from 'react';
import PropTypes from 'prop-types';
import VideoItem from "./VideoItem";
import SectionHeading from "./SectionHeading";
import { Link } from 'react-router-dom';

class RandomTopic extends React.Component {

  render() {
    return (
      <section>
        <SectionHeading title={this.props.topicName + ' (' +this.props.topicCount + ')'}/>
        <Link to="/topics">
          <span className="">See All Topics</span>
        </Link>
          <Grid
          width={450}
          gap={16}>
          {this.props.videos.map(video =>
            <VideoItem id={video.id} key={video.id} title={video.title }/>
          )}
          <Link to="/topics">
            <span className="view-all-parents">See All Topics</span>
          </Link>
          <Link to="/topics">
          <span className="view-all-items">  See All videos of {this.props.topicName} ({this.props.topicCount})</span>
          </Link>
        </Grid>
      </section>

    )
  }
}

RandomTopic.propTypes = {
  topicName: PropTypes.string,
  videos: PropTypes.array,
  loading: PropTypes.bool,
  topicCount: PropTypes.number
};

export default (RandomTopic);